Get Image Version

get

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/{goldImageId}/versions/{versionId}

Gets information regarding the specified version of the image

Request

Path Parameters
Query Parameters
  • Provide a report if this version of the image can be deleted
    Allowed Values: [ "deleteVersionReport" ]

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Ok. Image version is retrieved.
Body ()
Root Schema : GoldImageVersion
Type: object
Summary of the image version
Match All
Summary of the image version
Show Source
Match One Schema
Show Source
Nested Schema : GoldImageVersionSummary
Type: object
Summary of the image version
Show Source
Nested Schema : DeleteGoldImageVersionReport
Type: object
Delete gold image version report
Show Source
  • Message indicates whether image version can be deleted
    Example: if the version is not CURRENT then message is "The version is a candidate for deletion." else message is "CURRENT version of the image cannot be deleted"
Examples

400 Response

Bad Request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

404 Response

Not Found
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top